##
##  gyp.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         gyp
Summary:      Generate Your Projects (GYP) Build Tool
URL:          http://code.google.com/p/gyp/
Vendor:       Google
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Building
License:      BSD
Version:      20210110
Release:      20210110

#   list of sources
Source0:      http://download.openpkg.org/components/versioned/gyp/gyp-%{version}.tar.xz
Patch0:       gyp.patch

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101
PreReq:       OpenPKG, openpkg >= 20160101
BuildPreReq:  python, python-setup
PreReq:       python, python-setup

%description
    Generate Your Project (GYP) is a build system for Unix.

%track
    prog gyp = {
        version   = %{version}
        url       = http://download.openpkg.org/components/versioned/gyp
        regex     = gyp-(__VER__)\.tar\.xz
    }

%prep
    %setup -q -n gyp
    %patch -p0

%build
    cp gyp_main.py gyp
    %{l_shtool} subst \
        -e 's;/usr/bin/env python;%{l_prefix}/bin/python;g' \
        gyp

%install
    %{l_prefix}/bin/python \
        setup.py install \
        --root=$RPM_BUILD_ROOT \
        --prefix=%{l_prefix}
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

